This is a read-only archive!

Yahoo weather for Conky

I wrote a Ruby script that parses a Yahoo weather RSS feed and prints it in a form suitable for use in Conky. This is what it looks like:

Weather screenshot

The source code is here. Bugs are likely, I wrote it in 20 minutes. It requires the xml-simple Ruby module, but that's in portage (emerge xml-simple).

September 23, 2006 @ 12:16 PM PDT
Cateogory: Programming

4 Comments

tidiman07
Quoth tidiman07 on January 14, 2007 @ 3:45 PM PST

Hey, im having a hard time getting this weather script to work. send me yours so i can see what i should fill in.

error: | weather.rb:3:in `require': no such file to load -- |xmlsimple (LoadError)

Brian
Quoth Brian on January 15, 2007 @ 3:24 AM PST

This means you need to install the xmlsimple Ruby module. You can install it via rubygems for example. A rubygems manual is here:

http://rubygems.org/read/book/1

You'd install xmlsimple via something like

sudo gem install xml-simple

crache
Quoth crache on June 04, 2008 @ 10:39 AM PDT

Change the third line

from: require 'xmlsimple'

to: require 'lib/xmlsimple'

bonobo
Quoth bonobo on April 27, 2009 @ 6:31 AM PDT

Thanks for this

How i can change the forecast to 5 days